ReflectedArgs (Jython API documentation)
Date: 2024-08-18

org.python.core

## Class ReflectedArgs

- java.lang.Object
- - org.python.core.ReflectedArgs

-     public class ReflectedArgs
      extends java.lang.Object

  Map the signature of a method to the `Method` itself, within the context of a given simple name. This is used in support of signature polymorphism in Java methods and constructors reflected into Python.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Class<?>[]` | `args` The types of arguments defining this signature (key)
    `java.lang.Class<?>` | `declaringClass`
    `int` | `flags`
    `boolean` | `isStatic`
    `boolean` | `isVarArgs`
    `java.lang.reflect.Member` | `method` The specific method (or constructor).
    `static int` | `PyArgsCall`
    `static int` | `PyArgsKeywordsCall`
    `static int` | `REPLACE`
    `static int` | `StandardCall`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectedArgs(java.lang.reflect.Member method, java.lang.Class<?>[] args, java.lang.Class<?> declaringClass, boolean isStatic)`
    `ReflectedArgs(java.lang.reflect.Member method, java.lang.Class<?>[] args, java.lang.Class<?> declaringClass, boolean isStatic, boolean isVarArgs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(java.lang.Class<?> arg1, java.lang.Class<?> arg2)`
    `int` | `compareTo(ReflectedArgs other)`
    `boolean` | `matches(PyObject self, PyObject[] pyArgs, java.lang.String[] keywords, org.python.core.ReflectedCallData callData)`
    `static int` | `precedence(java.lang.Class<?> arg)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### args

          public java.lang.Class<?>[] args

      The types of arguments defining this signature (key)

    - #### method

          public java.lang.reflect.Member method

      The specific method (or constructor).

    - #### declaringClass

          public java.lang.Class<?> declaringClass

    - #### isStatic

          public boolean isStatic

    - #### isVarArgs

          public boolean isVarArgs

    - #### flags

          public int flags

    - #### StandardCall

          public static final int StandardCall

      See Also:
        Constant Field Values

    - #### PyArgsCall

          public static final int PyArgsCall

      See Also:
        Constant Field Values

    - #### PyArgsKeywordsCall

          public static final int PyArgsKeywordsCall

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final int REPLACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReflectedArgs

          public ReflectedArgs(java.lang.reflect.Member method,
                               java.lang.Class<?>[] args,
                               java.lang.Class<?> declaringClass,
                               boolean isStatic)

    - #### ReflectedArgs

          public ReflectedArgs(java.lang.reflect.Member method,
                               java.lang.Class<?>[] args,
                               java.lang.Class<?> declaringClass,
                               boolean isStatic,
                               boolean isVarArgs)

  - ### Method Detail

    - #### matches

          public boolean matches(PyObject self,
                                 PyObject[] pyArgs,
                                 java.lang.String[] keywords,
                                 org.python.core.ReflectedCallData callData)

    - #### precedence

          public static int precedence(java.lang.Class<?> arg)

    - #### compare

          public static int compare(java.lang.Class<?> arg1,
                                    java.lang.Class<?> arg2)

    - #### compareTo

          public int compareTo(ReflectedArgs other)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Jython homepage